b.a.t.m.a.n.lists.open-mesh.org archive mirror
 help / color / mirror / Atom feed
From: Sven Eckelmann <sven@narfation.org>
To: b.a.t.m.a.n@lists.open-mesh.org
Subject: [B.A.T.M.A.N.] [PATCH next v2 02/11] batman-adv: Use simple script to patch minor compat problems
Date: Sun,  9 Oct 2016 08:57:29 +0200	[thread overview]
Message-ID: <20161009065738.8279-2-sven@narfation.org> (raw)
In-Reply-To: <1647833.jYley1tZnH@sven-edge>

Unified diff base patches have the problem that they fix only a single line
and depend on the surrounding. This approach can fail relative often when
the surrounding code will be changed often. Thus semantic patches (like
spatch from coccinelle) or simple find+replace scripts are better for this
approach.

Introduce a simple script file which will store these kind of find+replace
instructions.

Signed-off-by: Sven Eckelmann <sven@narfation.org>
---
v2:
 - no change
---
 Makefile                       | 3 ++-
 compat-patches/replacements.sh | 3 +++
 2 files changed, 5 insertions(+), 1 deletion(-)
 create mode 100755 compat-patches/replacements.sh

diff --git a/Makefile b/Makefile
index b105290..7ef2569 100644
--- a/Makefile
+++ b/Makefile
@@ -99,7 +99,7 @@ install: config $(SOURCE_STAMP)
 config:
 	$(PWD)/gen-compat-autoconf.sh $(PWD)/compat-autoconf.h
 
-$(SOURCE_STAMP): $(SOURCE) compat-patches/*
+$(SOURCE_STAMP): $(SOURCE) compat-patches/* compat-patches/replacements.sh
 	$(MKDIR) $(BUILD_DIR)/net/batman-adv/
 	@$(RM) $(SOURCE_BUILD)
 	@$(CP) $(SOURCE) $(BUILD_DIR)/net/batman-adv/
@@ -111,6 +111,7 @@ $(SOURCE_STAMP): $(SOURCE) compat-patches/*
 		$(PATCH) ../compat-patches/$${i}; \
 		cd - > /dev/null; \
 	done
+	compat-patches/replacements.sh
 	touch $(SOURCE_STAMP)
 
 .PHONY: all clean install config
diff --git a/compat-patches/replacements.sh b/compat-patches/replacements.sh
new file mode 100755
index 0000000..c7875c0
--- /dev/null
+++ b/compat-patches/replacements.sh
@@ -0,0 +1,3 @@
+#! /bin/sh
+
+set -e
-- 
2.9.3


  parent reply	other threads:[~2016-10-09  6:57 UTC|newest]

Thread overview: 15+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-10-09  6:56 [B.A.T.M.A.N.] [PATCH v2 0/11] batman-adv: Support for complex compat patches Sven Eckelmann
2016-10-09  6:57 ` [B.A.T.M.A.N.] [PATCH next v2 01/11] batman-adv: Introduce compat-patches support Sven Eckelmann
2016-10-18 11:34   ` [B.A.T.M.A.N.] [next, v2, " Sven Eckelmann
2016-10-09  6:57 ` Sven Eckelmann [this message]
2016-10-18 11:35   ` [B.A.T.M.A.N.] [next, v2, 02/11] batman-adv: Use simple script to patch minor compat problems Sven Eckelmann
2016-10-09  6:57 ` [B.A.T.M.A.N.] [PATCH next v2 03/11] batman-adv: make netlink attributes const Sven Eckelmann
2016-10-18 11:36   ` [B.A.T.M.A.N.] [next, v2, " Sven Eckelmann
2016-10-09  6:57 ` [B.A.T.M.A.N.] [PATCH v2 04/11] batman-adv: Mark batadv_netlink_ops as const Sven Eckelmann
2016-10-09  6:57 ` [B.A.T.M.A.N.] [PATCH v2 05/11] batman-adv: Add support for coccinelle in compat-patches Sven Eckelmann
2016-10-09  6:57 ` [B.A.T.M.A.N.] [PATCH v2 06/11] batman-adv: compat: Port netlink port hack to coccinelle Sven Eckelmann
2016-10-09  6:57 ` [B.A.T.M.A.N.] [PATCH v2 07/11] batman-adv: compat: Move netlink const compat " Sven Eckelmann
2016-10-09  6:57 ` [B.A.T.M.A.N.] [PATCH v2 08/11] batman-adv: compat: Remove replacement script Sven Eckelmann
2016-10-09  6:57 ` [B.A.T.M.A.N.] [PATCH v2 09/11] batman-adv: compat: Replace IFF_NO_QUEUE with coccinelle Sven Eckelmann
2016-10-09  6:57 ` [B.A.T.M.A.N.] [PATCH v2 10/11] batman-adv: compat: Move get_link_net patch to coccinelle Sven Eckelmann
2016-10-09  6:57 ` [B.A.T.M.A.N.] [PATCH v2 11/11] batman-adv: compat: Move vid api wrapper " Sven Eckelmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20161009065738.8279-2-sven@narfation.org \
    --to=sven@narfation.org \
    --cc=b.a.t.m.a.n@lists.open-mesh.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).